/*
Copyright © 2025 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <http://www.gnu.org/licenses/>.
*/
/*
Stats API Documentation

Official API for Major League Baseball.

API version: 2.0.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package api

import (
	"bytes"
	"context"
	"io"
	"net/http"
	"net/url"
)

// MilestonesAPIService MilestonesAPI service
type MilestonesAPIService service

type ApiAchievementStatusesRequest struct {
	ctx        context.Context
	ApiService *MilestonesAPIService
}

func (r ApiAchievementStatusesRequest) Execute() (*http.Response, error) {
	return r.ApiService.AchievementStatusesExecute(r)
}

/*
AchievementStatuses View available achievementStatus options

	@param ctx context.Context - for authentication, logging, cancellation, deadlines, tracing, etc. Passed from http.Request or context.Background().
	@return ApiAchievementStatusesRequest
*/
func (a *MilestonesAPIService) AchievementStatuses(ctx context.Context) ApiAchievementStatusesRequest {
	return ApiAchievementStatusesRequest{
		ApiService: a,
		ctx:        ctx,
	}
}

// Execute executes the request
func (a *MilestonesAPIService) AchievementStatusesExecute(r ApiAchievementStatusesRequest) (*http.Response, error) {
	var (
		localVarHTTPMethod = http.MethodGet
		localVarPostBody   interface{}
		formFiles          []formFile
	)

	localBasePath, err := a.client.cfg.ServerURLWithContext(r.ctx, "MilestonesAPIService.AchievementStatuses")
	if err != nil {
		return nil, &GenericOpenAPIError{error: err.Error()}
	}

	localVarPath := localBasePath + "/api/v1/achievementStatuses"

	localVarHeaderParams := make(map[string]string)
	localVarQueryParams := url.Values{}
	localVarFormParams := url.Values{}

	// to determine the Content-Type header
	localVarHTTPContentTypes := []string{}

	// set Content-Type header
	localVarHTTPContentType := selectHeaderContentType(localVarHTTPContentTypes)
	if localVarHTTPContentType != "" {
		localVarHeaderParams["Content-Type"] = localVarHTTPContentType
	}

	// to determine the Accept header
	localVarHTTPHeaderAccepts := []string{}

	// set Accept header
	localVarHTTPHeaderAccept := selectHeaderAccept(localVarHTTPHeaderAccepts)
	if localVarHTTPHeaderAccept != "" {
		localVarHeaderParams["Accept"] = localVarHTTPHeaderAccept
	}
	req, err := a.client.prepareRequest(r.ctx, localVarPath, localVarHTTPMethod, localVarPostBody, localVarHeaderParams, localVarQueryParams, localVarFormParams, formFiles)
	if err != nil {
		return nil, err
	}

	localVarHTTPResponse, err := a.client.callAPI(req)
	if err != nil || localVarHTTPResponse == nil {
		return localVarHTTPResponse, err
	}

	localVarBody, err := io.ReadAll(localVarHTTPResponse.Body)
	localVarHTTPResponse.Body.Close()
	localVarHTTPResponse.Body = io.NopCloser(bytes.NewBuffer(localVarBody))
	if err != nil {
		return localVarHTTPResponse, err
	}

	if localVarHTTPResponse.StatusCode >= 300 {
		newErr := &GenericOpenAPIError{
			body:  localVarBody,
			error: localVarHTTPResponse.Status,
		}
		return localVarHTTPResponse, newErr
	}

	return localVarHTTPResponse, nil
}

type ApiMilestoneDurationsRequest struct {
	ctx        context.Context
	ApiService *MilestonesAPIService
}

func (r ApiMilestoneDurationsRequest) Execute() (*http.Response, error) {
	return r.ApiService.MilestoneDurationsExecute(r)
}

/*
MilestoneDurations View available milestoneDurations options

	@param ctx context.Context - for authentication, logging, cancellation, deadlines, tracing, etc. Passed from http.Request or context.Background().
	@return ApiMilestoneDurationsRequest
*/
func (a *MilestonesAPIService) MilestoneDurations(ctx context.Context) ApiMilestoneDurationsRequest {
	return ApiMilestoneDurationsRequest{
		ApiService: a,
		ctx:        ctx,
	}
}

// Execute executes the request
func (a *MilestonesAPIService) MilestoneDurationsExecute(r ApiMilestoneDurationsRequest) (*http.Response, error) {
	var (
		localVarHTTPMethod = http.MethodGet
		localVarPostBody   interface{}
		formFiles          []formFile
	)

	localBasePath, err := a.client.cfg.ServerURLWithContext(r.ctx, "MilestonesAPIService.MilestoneDurations")
	if err != nil {
		return nil, &GenericOpenAPIError{error: err.Error()}
	}

	localVarPath := localBasePath + "/api/v1/milestoneDurations"

	localVarHeaderParams := make(map[string]string)
	localVarQueryParams := url.Values{}
	localVarFormParams := url.Values{}

	// to determine the Content-Type header
	localVarHTTPContentTypes := []string{}

	// set Content-Type header
	localVarHTTPContentType := selectHeaderContentType(localVarHTTPContentTypes)
	if localVarHTTPContentType != "" {
		localVarHeaderParams["Content-Type"] = localVarHTTPContentType
	}

	// to determine the Accept header
	localVarHTTPHeaderAccepts := []string{}

	// set Accept header
	localVarHTTPHeaderAccept := selectHeaderAccept(localVarHTTPHeaderAccepts)
	if localVarHTTPHeaderAccept != "" {
		localVarHeaderParams["Accept"] = localVarHTTPHeaderAccept
	}
	req, err := a.client.prepareRequest(r.ctx, localVarPath, localVarHTTPMethod, localVarPostBody, localVarHeaderParams, localVarQueryParams, localVarFormParams, formFiles)
	if err != nil {
		return nil, err
	}

	localVarHTTPResponse, err := a.client.callAPI(req)
	if err != nil || localVarHTTPResponse == nil {
		return localVarHTTPResponse, err
	}

	localVarBody, err := io.ReadAll(localVarHTTPResponse.Body)
	localVarHTTPResponse.Body.Close()
	localVarHTTPResponse.Body = io.NopCloser(bytes.NewBuffer(localVarBody))
	if err != nil {
		return localVarHTTPResponse, err
	}

	if localVarHTTPResponse.StatusCode >= 300 {
		newErr := &GenericOpenAPIError{
			body:  localVarBody,
			error: localVarHTTPResponse.Status,
		}
		return localVarHTTPResponse, newErr
	}

	return localVarHTTPResponse, nil
}

type ApiMilestoneLookupsRequest struct {
	ctx        context.Context
	ApiService *MilestonesAPIService
}

func (r ApiMilestoneLookupsRequest) Execute() (*http.Response, error) {
	return r.ApiService.MilestoneLookupsExecute(r)
}

/*
MilestoneLookups View available milestoneLookup options

	@param ctx context.Context - for authentication, logging, cancellation, deadlines, tracing, etc. Passed from http.Request or context.Background().
	@return ApiMilestoneLookupsRequest
*/
func (a *MilestonesAPIService) MilestoneLookups(ctx context.Context) ApiMilestoneLookupsRequest {
	return ApiMilestoneLookupsRequest{
		ApiService: a,
		ctx:        ctx,
	}
}

// Execute executes the request
func (a *MilestonesAPIService) MilestoneLookupsExecute(r ApiMilestoneLookupsRequest) (*http.Response, error) {
	var (
		localVarHTTPMethod = http.MethodGet
		localVarPostBody   interface{}
		formFiles          []formFile
	)

	localBasePath, err := a.client.cfg.ServerURLWithContext(r.ctx, "MilestonesAPIService.MilestoneLookups")
	if err != nil {
		return nil, &GenericOpenAPIError{error: err.Error()}
	}

	localVarPath := localBasePath + "/api/v1/milestoneLookups"

	localVarHeaderParams := make(map[string]string)
	localVarQueryParams := url.Values{}
	localVarFormParams := url.Values{}

	// to determine the Content-Type header
	localVarHTTPContentTypes := []string{}

	// set Content-Type header
	localVarHTTPContentType := selectHeaderContentType(localVarHTTPContentTypes)
	if localVarHTTPContentType != "" {
		localVarHeaderParams["Content-Type"] = localVarHTTPContentType
	}

	// to determine the Accept header
	localVarHTTPHeaderAccepts := []string{}

	// set Accept header
	localVarHTTPHeaderAccept := selectHeaderAccept(localVarHTTPHeaderAccepts)
	if localVarHTTPHeaderAccept != "" {
		localVarHeaderParams["Accept"] = localVarHTTPHeaderAccept
	}
	req, err := a.client.prepareRequest(r.ctx, localVarPath, localVarHTTPMethod, localVarPostBody, localVarHeaderParams, localVarQueryParams, localVarFormParams, formFiles)
	if err != nil {
		return nil, err
	}

	localVarHTTPResponse, err := a.client.callAPI(req)
	if err != nil || localVarHTTPResponse == nil {
		return localVarHTTPResponse, err
	}

	localVarBody, err := io.ReadAll(localVarHTTPResponse.Body)
	localVarHTTPResponse.Body.Close()
	localVarHTTPResponse.Body = io.NopCloser(bytes.NewBuffer(localVarBody))
	if err != nil {
		return localVarHTTPResponse, err
	}

	if localVarHTTPResponse.StatusCode >= 300 {
		newErr := &GenericOpenAPIError{
			body:  localVarBody,
			error: localVarHTTPResponse.Status,
		}
		return localVarHTTPResponse, newErr
	}

	return localVarHTTPResponse, nil
}

type ApiMilestoneStatisticsRequest struct {
	ctx        context.Context
	ApiService *MilestonesAPIService
}

func (r ApiMilestoneStatisticsRequest) Execute() (*http.Response, error) {
	return r.ApiService.MilestoneStatisticsExecute(r)
}

/*
MilestoneStatistics View available milestone statistics options

	@param ctx context.Context - for authentication, logging, cancellation, deadlines, tracing, etc. Passed from http.Request or context.Background().
	@return ApiMilestoneStatisticsRequest
*/
func (a *MilestonesAPIService) MilestoneStatistics(ctx context.Context) ApiMilestoneStatisticsRequest {
	return ApiMilestoneStatisticsRequest{
		ApiService: a,
		ctx:        ctx,
	}
}

// Execute executes the request
func (a *MilestonesAPIService) MilestoneStatisticsExecute(r ApiMilestoneStatisticsRequest) (*http.Response, error) {
	var (
		localVarHTTPMethod = http.MethodGet
		localVarPostBody   interface{}
		formFiles          []formFile
	)

	localBasePath, err := a.client.cfg.ServerURLWithContext(r.ctx, "MilestonesAPIService.MilestoneStatistics")
	if err != nil {
		return nil, &GenericOpenAPIError{error: err.Error()}
	}

	localVarPath := localBasePath + "/api/v1/milestoneStatistics"

	localVarHeaderParams := make(map[string]string)
	localVarQueryParams := url.Values{}
	localVarFormParams := url.Values{}

	// to determine the Content-Type header
	localVarHTTPContentTypes := []string{}

	// set Content-Type header
	localVarHTTPContentType := selectHeaderContentType(localVarHTTPContentTypes)
	if localVarHTTPContentType != "" {
		localVarHeaderParams["Content-Type"] = localVarHTTPContentType
	}

	// to determine the Accept header
	localVarHTTPHeaderAccepts := []string{}

	// set Accept header
	localVarHTTPHeaderAccept := selectHeaderAccept(localVarHTTPHeaderAccepts)
	if localVarHTTPHeaderAccept != "" {
		localVarHeaderParams["Accept"] = localVarHTTPHeaderAccept
	}
	req, err := a.client.prepareRequest(r.ctx, localVarPath, localVarHTTPMethod, localVarPostBody, localVarHeaderParams, localVarQueryParams, localVarFormParams, formFiles)
	if err != nil {
		return nil, err
	}

	localVarHTTPResponse, err := a.client.callAPI(req)
	if err != nil || localVarHTTPResponse == nil {
		return localVarHTTPResponse, err
	}

	localVarBody, err := io.ReadAll(localVarHTTPResponse.Body)
	localVarHTTPResponse.Body.Close()
	localVarHTTPResponse.Body = io.NopCloser(bytes.NewBuffer(localVarBody))
	if err != nil {
		return localVarHTTPResponse, err
	}

	if localVarHTTPResponse.StatusCode >= 300 {
		newErr := &GenericOpenAPIError{
			body:  localVarBody,
			error: localVarHTTPResponse.Status,
		}
		return localVarHTTPResponse, newErr
	}

	return localVarHTTPResponse, nil
}

type ApiMilestoneTypesRequest struct {
	ctx        context.Context
	ApiService *MilestonesAPIService
}

func (r ApiMilestoneTypesRequest) Execute() (*http.Response, error) {
	return r.ApiService.MilestoneTypesExecute(r)
}

/*
MilestoneTypes View available milestoneType options

	@param ctx context.Context - for authentication, logging, cancellation, deadlines, tracing, etc. Passed from http.Request or context.Background().
	@return ApiMilestoneTypesRequest
*/
func (a *MilestonesAPIService) MilestoneTypes(ctx context.Context) ApiMilestoneTypesRequest {
	return ApiMilestoneTypesRequest{
		ApiService: a,
		ctx:        ctx,
	}
}

// Execute executes the request
func (a *MilestonesAPIService) MilestoneTypesExecute(r ApiMilestoneTypesRequest) (*http.Response, error) {
	var (
		localVarHTTPMethod = http.MethodGet
		localVarPostBody   interface{}
		formFiles          []formFile
	)

	localBasePath, err := a.client.cfg.ServerURLWithContext(r.ctx, "MilestonesAPIService.MilestoneTypes")
	if err != nil {
		return nil, &GenericOpenAPIError{error: err.Error()}
	}

	localVarPath := localBasePath + "/api/v1/milestoneTypes"

	localVarHeaderParams := make(map[string]string)
	localVarQueryParams := url.Values{}
	localVarFormParams := url.Values{}

	// to determine the Content-Type header
	localVarHTTPContentTypes := []string{}

	// set Content-Type header
	localVarHTTPContentType := selectHeaderContentType(localVarHTTPContentTypes)
	if localVarHTTPContentType != "" {
		localVarHeaderParams["Content-Type"] = localVarHTTPContentType
	}

	// to determine the Accept header
	localVarHTTPHeaderAccepts := []string{}

	// set Accept header
	localVarHTTPHeaderAccept := selectHeaderAccept(localVarHTTPHeaderAccepts)
	if localVarHTTPHeaderAccept != "" {
		localVarHeaderParams["Accept"] = localVarHTTPHeaderAccept
	}
	req, err := a.client.prepareRequest(r.ctx, localVarPath, localVarHTTPMethod, localVarPostBody, localVarHeaderParams, localVarQueryParams, localVarFormParams, formFiles)
	if err != nil {
		return nil, err
	}

	localVarHTTPResponse, err := a.client.callAPI(req)
	if err != nil || localVarHTTPResponse == nil {
		return localVarHTTPResponse, err
	}

	localVarBody, err := io.ReadAll(localVarHTTPResponse.Body)
	localVarHTTPResponse.Body.Close()
	localVarHTTPResponse.Body = io.NopCloser(bytes.NewBuffer(localVarBody))
	if err != nil {
		return localVarHTTPResponse, err
	}

	if localVarHTTPResponse.StatusCode >= 300 {
		newErr := &GenericOpenAPIError{
			body:  localVarBody,
			error: localVarHTTPResponse.Status,
		}
		return localVarHTTPResponse, newErr
	}

	return localVarHTTPResponse, nil
}

type ApiMilestonesRequest struct {
	ctx                 context.Context
	ApiService          *MilestonesAPIService
	orgType             *interface{}
	achievementStatuses *interface{}
	milestoneTypes      *interface{}
	isLastAchievement   *interface{}
	milestoneStatistics *interface{}
	milestoneValues     *interface{}
	playerIds           *interface{}
	teamIds             *interface{}
	leagueIds           *interface{}
	statGroup           *interface{}
	season              *interface{}
	seasons             *interface{}
	venueIds            *interface{}
	gamePks             *interface{}
	limit               *interface{}
	fields              *interface{}
	showFirsts          *interface{}
}

// Organization level. Format: T(Team), L(League), S(Sport)
func (r ApiMilestonesRequest) OrgType(orgType interface{}) ApiMilestonesRequest {
	r.orgType = &orgType
	return r
}

// Comma delimited list of milestone achievement types
func (r ApiMilestonesRequest) AchievementStatuses(achievementStatuses interface{}) ApiMilestonesRequest {
	r.achievementStatuses = &achievementStatuses
	return r
}

// Comma delimited list of milestone types
func (r ApiMilestonesRequest) MilestoneTypes(milestoneTypes interface{}) ApiMilestonesRequest {
	r.milestoneTypes = &milestoneTypes
	return r
}

// Filters out milestones that have already been surpassed.
func (r ApiMilestonesRequest) IsLastAchievement(isLastAchievement interface{}) ApiMilestonesRequest {
	r.isLastAchievement = &isLastAchievement
	return r
}

// Comma delimited list of milestone statistics
func (r ApiMilestonesRequest) MilestoneStatistics(milestoneStatistics interface{}) ApiMilestonesRequest {
	r.milestoneStatistics = &milestoneStatistics
	return r
}

// Comma delimited list of milestone values
func (r ApiMilestonesRequest) MilestoneValues(milestoneValues interface{}) ApiMilestonesRequest {
	r.milestoneValues = &milestoneValues
	return r
}

// A unique identifier for players
func (r ApiMilestonesRequest) PlayerIds(playerIds interface{}) ApiMilestonesRequest {
	r.playerIds = &playerIds
	return r
}

// Comma delimited list of Unique Team identifiers
func (r ApiMilestonesRequest) TeamIds(teamIds interface{}) ApiMilestonesRequest {
	r.teamIds = &teamIds
	return r
}

// Comma delimited list of Unique league identifiers
func (r ApiMilestonesRequest) LeagueIds(leagueIds interface{}) ApiMilestonesRequest {
	r.leagueIds = &leagueIds
	return r
}

// Category of statistic to return. Available types in /api/v1/statGroups
func (r ApiMilestonesRequest) StatGroup(statGroup interface{}) ApiMilestonesRequest {
	r.statGroup = &statGroup
	return r
}

// Season of play
func (r ApiMilestonesRequest) Season(season interface{}) ApiMilestonesRequest {
	r.season = &season
	return r
}

// Comma delimited list of Seasons of play
func (r ApiMilestonesRequest) Seasons(seasons interface{}) ApiMilestonesRequest {
	r.seasons = &seasons
	return r
}

// Comma delimited list of Unique venue identifiers
func (r ApiMilestonesRequest) VenueIds(venueIds interface{}) ApiMilestonesRequest {
	r.venueIds = &venueIds
	return r
}

// Comma delimited list of unique primary keys
func (r ApiMilestonesRequest) GamePks(gamePks interface{}) ApiMilestonesRequest {
	r.gamePks = &gamePks
	return r
}

// Number of results to return
func (r ApiMilestonesRequest) Limit(limit interface{}) ApiMilestonesRequest {
	r.limit = &limit
	return r
}

// Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute
func (r ApiMilestonesRequest) Fields(fields interface{}) ApiMilestonesRequest {
	r.fields = &fields
	return r
}

// True to show play first milestones, like first HR, first Save, etc
func (r ApiMilestonesRequest) ShowFirsts(showFirsts interface{}) ApiMilestonesRequest {
	r.showFirsts = &showFirsts
	return r
}

func (r ApiMilestonesRequest) Execute() (*http.Response, error) {
	return r.ApiService.MilestonesExecute(r)
}

/*
Milestones View pending and achieved milestones.

	@param ctx context.Context - for authentication, logging, cancellation, deadlines, tracing, etc. Passed from http.Request or context.Background().
	@return ApiMilestonesRequest
*/
func (a *MilestonesAPIService) Milestones(ctx context.Context) ApiMilestonesRequest {
	return ApiMilestonesRequest{
		ApiService: a,
		ctx:        ctx,
	}
}

// Execute executes the request
func (a *MilestonesAPIService) MilestonesExecute(r ApiMilestonesRequest) (*http.Response, error) {
	var (
		localVarHTTPMethod = http.MethodGet
		localVarPostBody   interface{}
		formFiles          []formFile
	)

	localBasePath, err := a.client.cfg.ServerURLWithContext(r.ctx, "MilestonesAPIService.Milestones")
	if err != nil {
		return nil, &GenericOpenAPIError{error: err.Error()}
	}

	localVarPath := localBasePath + "/api/v1/milestones"

	localVarHeaderParams := make(map[string]string)
	localVarQueryParams := url.Values{}
	localVarFormParams := url.Values{}

	if r.orgType != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "orgType", r.orgType, "", "")
	}
	if r.achievementStatuses != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "achievementStatuses", r.achievementStatuses, "", "")
	}
	if r.milestoneTypes != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "milestoneTypes", r.milestoneTypes, "", "")
	}
	if r.isLastAchievement != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "isLastAchievement", r.isLastAchievement, "", "")
	}
	if r.milestoneStatistics != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "milestoneStatistics", r.milestoneStatistics, "", "")
	}
	if r.milestoneValues != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "milestoneValues", r.milestoneValues, "", "")
	}
	if r.playerIds != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "playerIds", r.playerIds, "", "")
	}
	if r.teamIds != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "teamIds", r.teamIds, "", "")
	}
	if r.leagueIds != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "leagueIds", r.leagueIds, "", "")
	}
	if r.statGroup != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "statGroup", r.statGroup, "", "")
	}
	if r.season != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "season", r.season, "", "")
	}
	if r.seasons != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "seasons", r.seasons, "", "")
	}
	if r.venueIds != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "venueIds", r.venueIds, "", "")
	}
	if r.gamePks != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "gamePks", r.gamePks, "", "")
	}
	if r.limit != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "limit", r.limit, "", "")
	}
	if r.fields != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "fields", r.fields, "", "")
	}
	if r.showFirsts != nil {
		parameterAddToHeaderOrQuery(localVarQueryParams, "showFirsts", r.showFirsts, "", "")
	}
	// to determine the Content-Type header
	localVarHTTPContentTypes := []string{}

	// set Content-Type header
	localVarHTTPContentType := selectHeaderContentType(localVarHTTPContentTypes)
	if localVarHTTPContentType != "" {
		localVarHeaderParams["Content-Type"] = localVarHTTPContentType
	}

	// to determine the Accept header
	localVarHTTPHeaderAccepts := []string{}

	// set Accept header
	localVarHTTPHeaderAccept := selectHeaderAccept(localVarHTTPHeaderAccepts)
	if localVarHTTPHeaderAccept != "" {
		localVarHeaderParams["Accept"] = localVarHTTPHeaderAccept
	}
	req, err := a.client.prepareRequest(r.ctx, localVarPath, localVarHTTPMethod, localVarPostBody, localVarHeaderParams, localVarQueryParams, localVarFormParams, formFiles)
	if err != nil {
		return nil, err
	}

	localVarHTTPResponse, err := a.client.callAPI(req)
	if err != nil || localVarHTTPResponse == nil {
		return localVarHTTPResponse, err
	}

	localVarBody, err := io.ReadAll(localVarHTTPResponse.Body)
	localVarHTTPResponse.Body.Close()
	localVarHTTPResponse.Body = io.NopCloser(bytes.NewBuffer(localVarBody))
	if err != nil {
		return localVarHTTPResponse, err
	}

	if localVarHTTPResponse.StatusCode >= 300 {
		newErr := &GenericOpenAPIError{
			body:  localVarBody,
			error: localVarHTTPResponse.Status,
		}
		return localVarHTTPResponse, newErr
	}

	return localVarHTTPResponse, nil
}
