# \AwardsAPI

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**AwardRecipients**](AwardsAPI.md#AwardRecipients) | **Get** /api/v1/awards/{awardId}/recipients | View recipients of an award
[**Awards**](AwardsAPI.md#Awards) | **Get** /api/v1/awards | View awards info
[**Awards1**](AwardsAPI.md#Awards1) | **Get** /api/v1/awards/{awardId} | View awards info



## AwardRecipients

> AwardRecipients(ctx, awardId).Season(season).SportId(sportId).LeagueId(leagueId).Fields(fields).Execute()

View recipients of an award

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	awardId := TODO // interface{} | Unique Award Identifier. Available awards in /api/v1/awards
	season := TODO // interface{} | Season of play (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	leagueId := TODO // interface{} | Comma delimited list of Unique league identifiers (optional)
	fields := TODO // interface{} |  (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.AwardsAPI.AwardRecipients(context.Background(), awardId).Season(season).SportId(sportId).LeagueId(leagueId).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `AwardsAPI.AwardRecipients``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**awardId** | [**interface{}**](.md) | Unique Award Identifier. Available awards in /api/v1/awards | 

### Other Parameters

Other parameters are passed through a pointer to a apiAwardRecipientsRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **leagueId** | [**interface{}**](interface{}.md) | Comma delimited list of Unique league identifiers | 
 **fields** | [**interface{}**](interface{}.md) |  | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Awards

> Awards(ctx, awardId).OrgId(orgId).Fields(fields).Execute()

View awards info

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	awardId := TODO // interface{} | Unique Award Identifier. Available awards in /api/v1/awards
	orgId := TODO // interface{} | Comma delimited list of top level organizations of a sport (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.AwardsAPI.Awards(context.Background(), awardId).OrgId(orgId).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `AwardsAPI.Awards``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**awardId** | [**interface{}**](.md) | Unique Award Identifier. Available awards in /api/v1/awards | 

### Other Parameters

Other parameters are passed through a pointer to a apiAwardsRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **orgId** | [**interface{}**](interface{}.md) | Comma delimited list of top level organizations of a sport | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Awards1

> Awards1(ctx, awardId).OrgId(orgId).Fields(fields).Execute()

View awards info

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	awardId := TODO // interface{} | Unique Award Identifier. Available awards in /api/v1/awards
	orgId := TODO // interface{} | Comma delimited list of top level organizations of a sport (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.AwardsAPI.Awards1(context.Background(), awardId).OrgId(orgId).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `AwardsAPI.Awards1``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**awardId** | [**interface{}**](.md) | Unique Award Identifier. Available awards in /api/v1/awards | 

### Other Parameters

Other parameters are passed through a pointer to a apiAwards1Request struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **orgId** | [**interface{}**](interface{}.md) | Comma delimited list of top level organizations of a sport | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

