# \BroadcastAPI

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetAllBroadcasters**](BroadcastAPI.md#GetAllBroadcasters) | **Get** /api/v1/broadcasters | Get All Active Broadcasters
[**GetBroadcasts**](BroadcastAPI.md#GetBroadcasts) | **Get** /api/v1/broadcast | Get Broadcasters



## GetAllBroadcasters

> GetAllBroadcasters(ctx).ActiveStatus(activeStatus).Fields(fields).Execute()

Get All Active Broadcasters

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	activeStatus := TODO // interface{} | Current status of the broadcaster. Format: Active = y, inactive = n, both = b (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.BroadcastAPI.GetAllBroadcasters(context.Background()).ActiveStatus(activeStatus).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `BroadcastAPI.GetAllBroadcasters``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiGetAllBroadcastersRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **activeStatus** | [**interface{}**](interface{}.md) | Current status of the broadcaster. Format: Active &#x3D; y, inactive &#x3D; n, both &#x3D; b | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## GetBroadcasts

> GetBroadcasts(ctx).BroadcasterIds(broadcasterIds).Fields(fields).Execute()

Get Broadcasters

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	broadcasterIds := TODO // interface{} | All of the broadcast details
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.BroadcastAPI.GetBroadcasts(context.Background()).BroadcasterIds(broadcasterIds).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `BroadcastAPI.GetBroadcasts``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiGetBroadcastsRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **broadcasterIds** | [**interface{}**](interface{}.md) | All of the broadcast details | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

