# \ConferenceAPI

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**Conferences**](ConferenceAPI.md#Conferences) | **Get** /api/v1/conferences | View conference info
[**Conferences1**](ConferenceAPI.md#Conferences1) | **Get** /api/v1/conferences/{conferenceId} | View conference info



## Conferences

> Conferences(ctx, conferenceId).Season(season).IncludeInactive(includeInactive).Fields(fields).Execute()

View conference info

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	conferenceId := TODO // interface{} | 
	season := TODO // interface{} | Season of play (optional)
	includeInactive := TODO // interface{} |  (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.ConferenceAPI.Conferences(context.Background(), conferenceId).Season(season).IncludeInactive(includeInactive).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ConferenceAPI.Conferences``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**conferenceId** | [**interface{}**](.md) |  | 

### Other Parameters

Other parameters are passed through a pointer to a apiConferencesRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **includeInactive** | [**interface{}**](interface{}.md) |  | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Conferences1

> Conferences1(ctx, conferenceId).Season(season).IncludeInactive(includeInactive).Fields(fields).Execute()

View conference info

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	conferenceId := TODO // interface{} | 
	season := TODO // interface{} | Season of play (optional)
	includeInactive := TODO // interface{} |  (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.ConferenceAPI.Conferences1(context.Background(), conferenceId).Season(season).IncludeInactive(includeInactive).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ConferenceAPI.Conferences1``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**conferenceId** | [**interface{}**](.md) |  | 

### Other Parameters

Other parameters are passed through a pointer to a apiConferences1Request struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **includeInactive** | [**interface{}**](interface{}.md) |  | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

