# \GamePaceAPI

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GamePace**](GamePaceAPI.md#GamePace) | **Get** /api/v1/gamePace | View time of game info



## GamePace

> GamePace(ctx).Season(season).TeamId(teamId).TeamIds(teamIds).LeagueId(leagueId).LeagueIds(leagueIds).LeagueListId(leagueListId).SportId(sportId).SportIds(sportIds).GameType(gameType).StartDate(startDate).EndDate(endDate).VenueIds(venueIds).ExcludeVenueIds(excludeVenueIds).ExcludeGamePks(excludeGamePks).OrgType(orgType).IncludeChildren(includeChildren).Fields(fields).Execute()

View time of game info

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	season := TODO // interface{} | Season of play (optional)
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc (optional)
	teamIds := TODO // interface{} | Comma delimited list of Unique Team identifiers (optional)
	leagueId := TODO // interface{} | Unique League Identifier (optional)
	leagueIds := TODO // interface{} | Comma delimited list of Unique league identifiers (optional)
	leagueListId := TODO // interface{} | Unique League List Identifier (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	sportIds := TODO // interface{} | Comma delimited list of top level organizations of a sport (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	startDate := TODO // interface{} | Start date for range of data (must be used with end date). Format: MM/DD/YYYY (optional)
	endDate := TODO // interface{} | End date for range of data (must be used with start date). Format: MM/DD/YYYY (optional)
	venueIds := TODO // interface{} | Comma delimited list of Unique venue identifiers (optional)
	excludeVenueIds := TODO // interface{} | Comma delimited list of Unique venue identifiers (optional)
	excludeGamePks := TODO // interface{} | Comma delimited list of unique primary keys (optional)
	orgType := TODO // interface{} | Organization level. Format: T(Team), L(League), S(Sport) (optional)
	includeChildren := TODO // interface{} | Determines weather to include results from an organization's children (ex. a sport would also include results for the teams and leagues) (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.GamePaceAPI.GamePace(context.Background()).Season(season).TeamId(teamId).TeamIds(teamIds).LeagueId(leagueId).LeagueIds(leagueIds).LeagueListId(leagueListId).SportId(sportId).SportIds(sportIds).GameType(gameType).StartDate(startDate).EndDate(endDate).VenueIds(venueIds).ExcludeVenueIds(excludeVenueIds).ExcludeGamePks(excludeGamePks).OrgType(orgType).IncludeChildren(includeChildren).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `GamePaceAPI.GamePace``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiGamePaceRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **teamId** | [**interface{}**](interface{}.md) | Unique Team Identifier. Format: 141, 147, etc | 
 **teamIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique Team identifiers | 
 **leagueId** | [**interface{}**](interface{}.md) | Unique League Identifier | 
 **leagueIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique league identifiers | 
 **leagueListId** | [**interface{}**](interface{}.md) | Unique League List Identifier | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **sportIds** | [**interface{}**](interface{}.md) | Comma delimited list of top level organizations of a sport | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **startDate** | [**interface{}**](interface{}.md) | Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | [**interface{}**](interface{}.md) | End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **venueIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique venue identifiers | 
 **excludeVenueIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique venue identifiers | 
 **excludeGamePks** | [**interface{}**](interface{}.md) | Comma delimited list of unique primary keys | 
 **orgType** | [**interface{}**](interface{}.md) | Organization level. Format: T(Team), L(League), S(Sport) | 
 **includeChildren** | [**interface{}**](interface{}.md) | Determines weather to include results from an organization&#39;s children (ex. a sport would also include results for the teams and leagues) | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

