# \ReviewsAPI

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetReviewInfo**](ReviewsAPI.md#GetReviewInfo) | **Get** /api/v1/review | Get review info



## GetReviewInfo

> GetReviewInfo(ctx).SportId(sportId).Season(season).GameType(gameType).Fields(fields).Execute()

Get review info

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	sportId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	season := TODO // interface{} | Comma delimited list of Seasons of play
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.ReviewsAPI.GetReviewInfo(context.Background()).SportId(sportId).Season(season).GameType(gameType).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ReviewsAPI.GetReviewInfo``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiGetReviewInfoRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **sportId** | [**interface{}**](interface{}.md) | Unique Team Identifier. Format: 141, 147, etc | 
 **season** | [**interface{}**](interface{}.md) | Comma delimited list of Seasons of play | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

