# \ScheduleAPI

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**PostseasonSchedule**](ScheduleAPI.md#PostseasonSchedule) | **Get** /api/v1/schedule/postseason | Get postseason schedule
[**PostseasonScheduleSeries**](ScheduleAPI.md#PostseasonScheduleSeries) | **Get** /api/v1/schedule/postseason/series | Get postseason series schedules
[**Schedule**](ScheduleAPI.md#Schedule) | **Get** /api/v1/schedule | View schedule info based on scheduleType.
[**Schedule1**](ScheduleAPI.md#Schedule1) | **Get** /api/v1/schedule/{scheduleType} | View schedule info based on scheduleType.
[**TieGames**](ScheduleAPI.md#TieGames) | **Get** /api/v1/schedule/games/tied | Get tied game schedules
[**TrackingEventsSchedule**](ScheduleAPI.md#TrackingEventsSchedule) | **Get** /api/v1/schedule/trackingEvents | Get tracking event schedules
[**TuneIn**](ScheduleAPI.md#TuneIn) | **Get** /api/v1/schedule/postseason/tuneIn | Get postseason TuneIn schedules



## PostseasonSchedule

> PostseasonSchedule(ctx).GameTypes(gameTypes).SeriesNumber(seriesNumber).TeamId(teamId).SportId(sportId).UseLatestGames(useLatestGames).UseFeaturedGame(useFeaturedGame).Season(season).PublicFacing(publicFacing).Fields(fields).Execute()

Get postseason schedule



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	gameTypes := TODO // interface{} | Comma delimited list of type of Game. Available types in /api/v1/gameTypes (optional)
	seriesNumber := TODO // interface{} |  (optional)
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc (optional)
	sportId := TODO // interface{} | Unique League Identifier (optional)
	useLatestGames := TODO // interface{} |  (optional)
	useFeaturedGame := TODO // interface{} |  (optional)
	season := TODO // interface{} |  (optional)
	publicFacing := TODO // interface{} | Return public, non-public or all games. Format: Public Facing = 'Y', Non-Public Facing = 'N', All = 'A' (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.ScheduleAPI.PostseasonSchedule(context.Background()).GameTypes(gameTypes).SeriesNumber(seriesNumber).TeamId(teamId).SportId(sportId).UseLatestGames(useLatestGames).UseFeaturedGame(useFeaturedGame).Season(season).PublicFacing(publicFacing).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ScheduleAPI.PostseasonSchedule``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiPostseasonScheduleRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **gameTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of Game. Available types in /api/v1/gameTypes | 
 **seriesNumber** | [**interface{}**](interface{}.md) |  | 
 **teamId** | [**interface{}**](interface{}.md) | Unique Team Identifier. Format: 141, 147, etc | 
 **sportId** | [**interface{}**](interface{}.md) | Unique League Identifier | 
 **useLatestGames** | [**interface{}**](interface{}.md) |  | 
 **useFeaturedGame** | [**interface{}**](interface{}.md) |  | 
 **season** | [**interface{}**](interface{}.md) |  | 
 **publicFacing** | [**interface{}**](interface{}.md) | Return public, non-public or all games. Format: Public Facing &#x3D; &#39;Y&#39;, Non-Public Facing &#x3D; &#39;N&#39;, All &#x3D; &#39;A&#39; | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## PostseasonScheduleSeries

> PostseasonScheduleSeries(ctx).GameTypes(gameTypes).SeriesNumber(seriesNumber).TeamId(teamId).SportId(sportId).Date(date).StartDate(startDate).EndDate(endDate).UseLatestGames(useLatestGames).UseFeaturedGame(useFeaturedGame).Season(season).Fields(fields).Execute()

Get postseason series schedules



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	gameTypes := TODO // interface{} | Comma delimited list of type of Game. Available types in /api/v1/gameTypes (optional)
	seriesNumber := TODO // interface{} |  (optional)
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc (optional)
	sportId := TODO // interface{} | Unique League Identifier (optional)
	date := TODO // interface{} | Date of Game. Format: YYYY-MM-DD (optional)
	startDate := TODO // interface{} | Start date for range of data (must be used with end date). Format: MM/DD/YYYY (optional)
	endDate := TODO // interface{} | End date for range of data (must be used with start date). Format: MM/DD/YYYY (optional)
	useLatestGames := TODO // interface{} |  (optional)
	useFeaturedGame := TODO // interface{} |  (optional)
	season := TODO // interface{} |  (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.ScheduleAPI.PostseasonScheduleSeries(context.Background()).GameTypes(gameTypes).SeriesNumber(seriesNumber).TeamId(teamId).SportId(sportId).Date(date).StartDate(startDate).EndDate(endDate).UseLatestGames(useLatestGames).UseFeaturedGame(useFeaturedGame).Season(season).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ScheduleAPI.PostseasonScheduleSeries``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiPostseasonScheduleSeriesRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **gameTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of Game. Available types in /api/v1/gameTypes | 
 **seriesNumber** | [**interface{}**](interface{}.md) |  | 
 **teamId** | [**interface{}**](interface{}.md) | Unique Team Identifier. Format: 141, 147, etc | 
 **sportId** | [**interface{}**](interface{}.md) | Unique League Identifier | 
 **date** | [**interface{}**](interface{}.md) | Date of Game. Format: YYYY-MM-DD | 
 **startDate** | [**interface{}**](interface{}.md) | Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | [**interface{}**](interface{}.md) | End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **useLatestGames** | [**interface{}**](interface{}.md) |  | 
 **useFeaturedGame** | [**interface{}**](interface{}.md) |  | 
 **season** | [**interface{}**](interface{}.md) |  | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Schedule

> Schedule(ctx).UsingPrivateEndpoint(usingPrivateEndpoint).CalendarTypes(calendarTypes).EventTypes(eventTypes).ScheduleEventTypes(scheduleEventTypes).TeamId(teamId).LeagueId(leagueId).SportId(sportId).GamePk(gamePk).GamePks(gamePks).EventIds(eventIds).VenueIds(venueIds).PerformerIds(performerIds).GameTypes(gameTypes).GameType(gameType).Season(season).Seasons(seasons).Date(date).StartDate(startDate).EndDate(endDate).Timecode(timecode).UseLatestGames(useLatestGames).OpponentId(opponentId).PublicFacing(publicFacing).Fields(fields).Execute()

View schedule info based on scheduleType.



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	usingPrivateEndpoint := TODO // interface{} | 
	calendarTypes := TODO // interface{} | Comma delimited list of type of calendar types (optional)
	eventTypes := TODO // interface{} | Comma delimited list of type of events. <b>Note: Don't Use. This will be deprecated in favor of calendarTypes</b> (optional)
	scheduleEventTypes := TODO // interface{} | Comma delimited list of type of event types (optional)
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc (optional)
	leagueId := TODO // interface{} | Unique League Identifier (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	gamePk := TODO // interface{} | Unique Primary Key Representing a Game (optional)
	gamePks := TODO // interface{} | Comma delimited list of unique primary keys (optional)
	eventIds := TODO // interface{} | A unique identifier for non-game event (optional)
	venueIds := TODO // interface{} | Unique Venue Identifier (optional)
	performerIds := TODO // interface{} | A unique identifier for non-team event performers (optional)
	gameTypes := TODO // interface{} | Comma delimited list of type of Game. Available types in /api/v1/gameTypes (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	season := TODO // interface{} | Season of play (optional)
	seasons := TODO // interface{} | Comma delimited list of Seasons of play (optional)
	date := TODO // interface{} | Date of Game. Format: YYYY-MM-DD (optional)
	startDate := TODO // interface{} | Start date for range of data (must be used with end date). Format: MM/DD/YYYY (optional)
	endDate := TODO // interface{} | End date for range of data (must be used with start date). Format: MM/DD/YYYY (optional)
	timecode := TODO // interface{} | Use this parameter to return a snapshot of the data at the specified time. Format: YYYYMMDD_HHMMSS (optional)
	useLatestGames := TODO // interface{} |  (optional)
	opponentId := TODO // interface{} | A unique identifier for the opposing team. Must be used with Team ID (optional)
	publicFacing := TODO // interface{} | Return public, non-public or all games. Format: Public Facing = 'Y', Non-Public Facing = 'N', All = 'A' (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.ScheduleAPI.Schedule(context.Background()).UsingPrivateEndpoint(usingPrivateEndpoint).CalendarTypes(calendarTypes).EventTypes(eventTypes).ScheduleEventTypes(scheduleEventTypes).TeamId(teamId).LeagueId(leagueId).SportId(sportId).GamePk(gamePk).GamePks(gamePks).EventIds(eventIds).VenueIds(venueIds).PerformerIds(performerIds).GameTypes(gameTypes).GameType(gameType).Season(season).Seasons(seasons).Date(date).StartDate(startDate).EndDate(endDate).Timecode(timecode).UseLatestGames(useLatestGames).OpponentId(opponentId).PublicFacing(publicFacing).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ScheduleAPI.Schedule``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiScheduleRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **usingPrivateEndpoint** | [**interface{}**](interface{}.md) |  | 
 **calendarTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of calendar types | 
 **eventTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of events. &lt;b&gt;Note: Don&#39;t Use. This will be deprecated in favor of calendarTypes&lt;/b&gt; | 
 **scheduleEventTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of event types | 
 **teamId** | [**interface{}**](interface{}.md) | Unique Team Identifier. Format: 141, 147, etc | 
 **leagueId** | [**interface{}**](interface{}.md) | Unique League Identifier | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **gamePk** | [**interface{}**](interface{}.md) | Unique Primary Key Representing a Game | 
 **gamePks** | [**interface{}**](interface{}.md) | Comma delimited list of unique primary keys | 
 **eventIds** | [**interface{}**](interface{}.md) | A unique identifier for non-game event | 
 **venueIds** | [**interface{}**](interface{}.md) | Unique Venue Identifier | 
 **performerIds** | [**interface{}**](interface{}.md) | A unique identifier for non-team event performers | 
 **gameTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of Game. Available types in /api/v1/gameTypes | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **seasons** | [**interface{}**](interface{}.md) | Comma delimited list of Seasons of play | 
 **date** | [**interface{}**](interface{}.md) | Date of Game. Format: YYYY-MM-DD | 
 **startDate** | [**interface{}**](interface{}.md) | Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | [**interface{}**](interface{}.md) | End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **timecode** | [**interface{}**](interface{}.md) | Use this parameter to return a snapshot of the data at the specified time. Format: YYYYMMDD_HHMMSS | 
 **useLatestGames** | [**interface{}**](interface{}.md) |  | 
 **opponentId** | [**interface{}**](interface{}.md) | A unique identifier for the opposing team. Must be used with Team ID | 
 **publicFacing** | [**interface{}**](interface{}.md) | Return public, non-public or all games. Format: Public Facing &#x3D; &#39;Y&#39;, Non-Public Facing &#x3D; &#39;N&#39;, All &#x3D; &#39;A&#39; | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Schedule1

> Schedule1(ctx).UsingPrivateEndpoint(usingPrivateEndpoint).CalendarTypes(calendarTypes).EventTypes(eventTypes).ScheduleEventTypes(scheduleEventTypes).TeamId(teamId).LeagueId(leagueId).SportId(sportId).GamePk(gamePk).GamePks(gamePks).EventIds(eventIds).VenueIds(venueIds).PerformerIds(performerIds).GameTypes(gameTypes).GameType(gameType).Season(season).Seasons(seasons).Date(date).StartDate(startDate).EndDate(endDate).Timecode(timecode).UseLatestGames(useLatestGames).OpponentId(opponentId).PublicFacing(publicFacing).Fields(fields).Execute()

View schedule info based on scheduleType.



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	usingPrivateEndpoint := TODO // interface{} | 
	calendarTypes := TODO // interface{} | Comma delimited list of type of calendar types (optional)
	eventTypes := TODO // interface{} | Comma delimited list of type of events. <b>Note: Don't Use. This will be deprecated in favor of calendarTypes</b> (optional)
	scheduleEventTypes := TODO // interface{} | Comma delimited list of type of event types (optional)
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc (optional)
	leagueId := TODO // interface{} | Unique League Identifier (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	gamePk := TODO // interface{} | Unique Primary Key Representing a Game (optional)
	gamePks := TODO // interface{} | Comma delimited list of unique primary keys (optional)
	eventIds := TODO // interface{} | A unique identifier for non-game event (optional)
	venueIds := TODO // interface{} | Unique Venue Identifier (optional)
	performerIds := TODO // interface{} | A unique identifier for non-team event performers (optional)
	gameTypes := TODO // interface{} | Comma delimited list of type of Game. Available types in /api/v1/gameTypes (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	season := TODO // interface{} | Season of play (optional)
	seasons := TODO // interface{} | Comma delimited list of Seasons of play (optional)
	date := TODO // interface{} | Date of Game. Format: YYYY-MM-DD (optional)
	startDate := TODO // interface{} | Start date for range of data (must be used with end date). Format: MM/DD/YYYY (optional)
	endDate := TODO // interface{} | End date for range of data (must be used with start date). Format: MM/DD/YYYY (optional)
	timecode := TODO // interface{} | Use this parameter to return a snapshot of the data at the specified time. Format: YYYYMMDD_HHMMSS (optional)
	useLatestGames := TODO // interface{} |  (optional)
	opponentId := TODO // interface{} | A unique identifier for the opposing team. Must be used with Team ID (optional)
	publicFacing := TODO // interface{} | Return public, non-public or all games. Format: Public Facing = 'Y', Non-Public Facing = 'N', All = 'A' (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.ScheduleAPI.Schedule1(context.Background()).UsingPrivateEndpoint(usingPrivateEndpoint).CalendarTypes(calendarTypes).EventTypes(eventTypes).ScheduleEventTypes(scheduleEventTypes).TeamId(teamId).LeagueId(leagueId).SportId(sportId).GamePk(gamePk).GamePks(gamePks).EventIds(eventIds).VenueIds(venueIds).PerformerIds(performerIds).GameTypes(gameTypes).GameType(gameType).Season(season).Seasons(seasons).Date(date).StartDate(startDate).EndDate(endDate).Timecode(timecode).UseLatestGames(useLatestGames).OpponentId(opponentId).PublicFacing(publicFacing).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ScheduleAPI.Schedule1``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiSchedule1Request struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **usingPrivateEndpoint** | [**interface{}**](interface{}.md) |  | 
 **calendarTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of calendar types | 
 **eventTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of events. &lt;b&gt;Note: Don&#39;t Use. This will be deprecated in favor of calendarTypes&lt;/b&gt; | 
 **scheduleEventTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of event types | 
 **teamId** | [**interface{}**](interface{}.md) | Unique Team Identifier. Format: 141, 147, etc | 
 **leagueId** | [**interface{}**](interface{}.md) | Unique League Identifier | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **gamePk** | [**interface{}**](interface{}.md) | Unique Primary Key Representing a Game | 
 **gamePks** | [**interface{}**](interface{}.md) | Comma delimited list of unique primary keys | 
 **eventIds** | [**interface{}**](interface{}.md) | A unique identifier for non-game event | 
 **venueIds** | [**interface{}**](interface{}.md) | Unique Venue Identifier | 
 **performerIds** | [**interface{}**](interface{}.md) | A unique identifier for non-team event performers | 
 **gameTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of Game. Available types in /api/v1/gameTypes | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **seasons** | [**interface{}**](interface{}.md) | Comma delimited list of Seasons of play | 
 **date** | [**interface{}**](interface{}.md) | Date of Game. Format: YYYY-MM-DD | 
 **startDate** | [**interface{}**](interface{}.md) | Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | [**interface{}**](interface{}.md) | End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **timecode** | [**interface{}**](interface{}.md) | Use this parameter to return a snapshot of the data at the specified time. Format: YYYYMMDD_HHMMSS | 
 **useLatestGames** | [**interface{}**](interface{}.md) |  | 
 **opponentId** | [**interface{}**](interface{}.md) | A unique identifier for the opposing team. Must be used with Team ID | 
 **publicFacing** | [**interface{}**](interface{}.md) | Return public, non-public or all games. Format: Public Facing &#x3D; &#39;Y&#39;, Non-Public Facing &#x3D; &#39;N&#39;, All &#x3D; &#39;A&#39; | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## TieGames

> TieGames(ctx).Season(season).SportId(sportId).GameTypes(gameTypes).Fields(fields).Execute()

Get tied game schedules



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	season := TODO // interface{} | Season of play
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	gameTypes := TODO // interface{} | Comma delimited list of type of Game. Available types in /api/v1/gameTypes (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.ScheduleAPI.TieGames(context.Background()).Season(season).SportId(sportId).GameTypes(gameTypes).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ScheduleAPI.TieGames``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiTieGamesRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **gameTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of Game. Available types in /api/v1/gameTypes | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## TrackingEventsSchedule

> TrackingEventsSchedule(ctx).CalendarTypes(calendarTypes).EventTypes(eventTypes).TeamId(teamId).LeagueId(leagueId).SportId(sportId).GamePk(gamePk).GamePks(gamePks).EventIds(eventIds).VenueIds(venueIds).PerformerIds(performerIds).GameTypes(gameTypes).GameType(gameType).Season(season).Seasons(seasons).Date(date).StartDate(startDate).EndDate(endDate).Timecode(timecode).UseLatestGames(useLatestGames).OpponentId(opponentId).PublicFacing(publicFacing).Fields(fields).Execute()

Get tracking event schedules



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	calendarTypes := TODO // interface{} | Comma delimited list of type of calendar types (optional)
	eventTypes := TODO // interface{} | Comma delimited list of type of events. <b>Note: Don't Use. This will be deprecated in favor of calendarTypes</b> (optional)
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc (optional)
	leagueId := TODO // interface{} | Unique League Identifier (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	gamePk := TODO // interface{} | Unique Primary Key Representing a Game (optional)
	gamePks := TODO // interface{} | Comma delimited list of unique primary keys (optional)
	eventIds := TODO // interface{} | A unique identifier for non-game event (optional)
	venueIds := TODO // interface{} | Unique Venue Identifier (optional)
	performerIds := TODO // interface{} | A unique identifier for non-team event performers (optional)
	gameTypes := TODO // interface{} | Comma delimited list of type of Game. Available types in /api/v1/gameTypes (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	season := TODO // interface{} | Season of play (optional)
	seasons := TODO // interface{} | Comma delimited list of Seasons of play (optional)
	date := TODO // interface{} | Date of Game. Format: YYYY-MM-DD (optional)
	startDate := TODO // interface{} | Start date for range of data (must be used with end date). Format: MM/DD/YYYY (optional)
	endDate := TODO // interface{} | End date for range of data (must be used with start date). Format: MM/DD/YYYY (optional)
	timecode := TODO // interface{} | Use this parameter to return a snapshot of the data at the specified time. Format: YYYYMMDD_HHMMSS (optional)
	useLatestGames := TODO // interface{} |  (optional)
	opponentId := TODO // interface{} | A unique identifier for the opposing team. Must be used with Team ID (optional)
	publicFacing := TODO // interface{} | Return public, non-public or all games. Format: Public Facing = 'Y', Non-Public Facing = 'N', All = 'A' (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.ScheduleAPI.TrackingEventsSchedule(context.Background()).CalendarTypes(calendarTypes).EventTypes(eventTypes).TeamId(teamId).LeagueId(leagueId).SportId(sportId).GamePk(gamePk).GamePks(gamePks).EventIds(eventIds).VenueIds(venueIds).PerformerIds(performerIds).GameTypes(gameTypes).GameType(gameType).Season(season).Seasons(seasons).Date(date).StartDate(startDate).EndDate(endDate).Timecode(timecode).UseLatestGames(useLatestGames).OpponentId(opponentId).PublicFacing(publicFacing).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ScheduleAPI.TrackingEventsSchedule``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiTrackingEventsScheduleRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **calendarTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of calendar types | 
 **eventTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of events. &lt;b&gt;Note: Don&#39;t Use. This will be deprecated in favor of calendarTypes&lt;/b&gt; | 
 **teamId** | [**interface{}**](interface{}.md) | Unique Team Identifier. Format: 141, 147, etc | 
 **leagueId** | [**interface{}**](interface{}.md) | Unique League Identifier | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **gamePk** | [**interface{}**](interface{}.md) | Unique Primary Key Representing a Game | 
 **gamePks** | [**interface{}**](interface{}.md) | Comma delimited list of unique primary keys | 
 **eventIds** | [**interface{}**](interface{}.md) | A unique identifier for non-game event | 
 **venueIds** | [**interface{}**](interface{}.md) | Unique Venue Identifier | 
 **performerIds** | [**interface{}**](interface{}.md) | A unique identifier for non-team event performers | 
 **gameTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of Game. Available types in /api/v1/gameTypes | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **seasons** | [**interface{}**](interface{}.md) | Comma delimited list of Seasons of play | 
 **date** | [**interface{}**](interface{}.md) | Date of Game. Format: YYYY-MM-DD | 
 **startDate** | [**interface{}**](interface{}.md) | Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | [**interface{}**](interface{}.md) | End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **timecode** | [**interface{}**](interface{}.md) | Use this parameter to return a snapshot of the data at the specified time. Format: YYYYMMDD_HHMMSS | 
 **useLatestGames** | [**interface{}**](interface{}.md) |  | 
 **opponentId** | [**interface{}**](interface{}.md) | A unique identifier for the opposing team. Must be used with Team ID | 
 **publicFacing** | [**interface{}**](interface{}.md) | Return public, non-public or all games. Format: Public Facing &#x3D; &#39;Y&#39;, Non-Public Facing &#x3D; &#39;N&#39;, All &#x3D; &#39;A&#39; | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## TuneIn

> TuneIn(ctx).TeamId(teamId).SportId(sportId).Season(season).Fields(fields).Execute()

Get postseason TuneIn schedules



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc (optional)
	sportId := TODO // interface{} | Unique League Identifier (optional)
	season := TODO // interface{} | Unique Primary Key Representing a Game (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.ScheduleAPI.TuneIn(context.Background()).TeamId(teamId).SportId(sportId).Season(season).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ScheduleAPI.TuneIn``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiTuneInRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **teamId** | [**interface{}**](interface{}.md) | Unique Team Identifier. Format: 141, 147, etc | 
 **sportId** | [**interface{}**](interface{}.md) | Unique League Identifier | 
 **season** | [**interface{}**](interface{}.md) | Unique Primary Key Representing a Game | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

