# \TeamsAPI

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**Affiliates**](TeamsAPI.md#Affiliates) | **Get** /api/v1/teams/{teamId}/affiliates | View team and affiliate teams
[**Affiliates1**](TeamsAPI.md#Affiliates1) | **Get** /api/v1/teams/affiliates | View team and affiliate teams
[**AllTeams**](TeamsAPI.md#AllTeams) | **Get** /api/v1/teams/{teamId}/history | View historical records for a list of teams
[**AllTeams1**](TeamsAPI.md#AllTeams1) | **Get** /api/v1/teams/history | View historical records for a list of teams
[**Alumni**](TeamsAPI.md#Alumni) | **Get** /api/v1/teams/{teamId}/alumni | View all team alumni
[**Coaches**](TeamsAPI.md#Coaches) | **Get** /api/v1/teams/{teamId}/coaches | View all coaches for a team
[**Leaders**](TeamsAPI.md#Leaders) | **Get** /api/v1/teams/{teamId}/leaders | View team stat leaders
[**Leaders1**](TeamsAPI.md#Leaders1) | **Get** /api/v1/teams/stats/leaders | View leaders for team stats
[**Personnel**](TeamsAPI.md#Personnel) | **Get** /api/v1/teams/{teamId}/personnel | View all coaches for a team
[**Roster**](TeamsAPI.md#Roster) | **Get** /api/v1/teams/{teamId}/roster | View a teams roster
[**Roster1**](TeamsAPI.md#Roster1) | **Get** /api/v1/teams/{teamId}/roster/{rosterType} | View a teams roster
[**Stats**](TeamsAPI.md#Stats) | **Get** /api/v1/teams/{teamId}/stats | View a teams stats
[**Stats1**](TeamsAPI.md#Stats1) | **Get** /api/v1/teams/stats | View a teams stats
[**Teams**](TeamsAPI.md#Teams) | **Get** /api/v1/teams | View info for all teams
[**Teams1**](TeamsAPI.md#Teams1) | **Get** /api/v1/teams/{teamId} | View info for all teams
[**UpdateAlumni**](TeamsAPI.md#UpdateAlumni) | **Post** /api/v1/teams/{teamId}/alumni | 



## Affiliates

> Affiliates(ctx, teamId).TeamIds(teamIds).SportId(sportId).Season(season).GameType(gameType).Fields(fields).Execute()

View team and affiliate teams

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	teamIds := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	season := TODO // interface{} | Season of play (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Affiliates(context.Background(), teamId).TeamIds(teamIds).SportId(sportId).Season(season).GameType(gameType).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Affiliates``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 

### Other Parameters

Other parameters are passed through a pointer to a apiAffiliatesRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **teamIds** | [**interface{}**](interface{}.md) | Unique Team Identifier. Format: 141, 147, etc | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Affiliates1

> Affiliates1(ctx, teamId).TeamIds(teamIds).SportId(sportId).Season(season).GameType(gameType).Fields(fields).Execute()

View team and affiliate teams

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	teamIds := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	season := TODO // interface{} | Season of play (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Affiliates1(context.Background(), teamId).TeamIds(teamIds).SportId(sportId).Season(season).GameType(gameType).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Affiliates1``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 

### Other Parameters

Other parameters are passed through a pointer to a apiAffiliates1Request struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **teamIds** | [**interface{}**](interface{}.md) | Unique Team Identifier. Format: 141, 147, etc | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## AllTeams

> AllTeams(ctx, teamId).TeamIds(teamIds).StartSeason(startSeason).EndSeason(endSeason).Fields(fields).Execute()

View historical records for a list of teams

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	teamIds := TODO // interface{} | Comma delimited list of Unique Team identifiers (optional)
	startSeason := TODO // interface{} | Start date for range of data (used with end date optionally). Example: '2018' or '2018.2' (optional)
	endSeason := TODO // interface{} | End date for range of data (used with start date optionally). Format: '2018' or '2018.2' (optional)
	fields := TODO // interface{} |  (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.AllTeams(context.Background(), teamId).TeamIds(teamIds).StartSeason(startSeason).EndSeason(endSeason).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.AllTeams``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 

### Other Parameters

Other parameters are passed through a pointer to a apiAllTeamsRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **teamIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique Team identifiers | 
 **startSeason** | [**interface{}**](interface{}.md) | Start date for range of data (used with end date optionally). Example: &#39;2018&#39; or &#39;2018.2&#39; | 
 **endSeason** | [**interface{}**](interface{}.md) | End date for range of data (used with start date optionally). Format: &#39;2018&#39; or &#39;2018.2&#39; | 
 **fields** | [**interface{}**](interface{}.md) |  | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## AllTeams1

> AllTeams1(ctx, teamId).TeamIds(teamIds).StartSeason(startSeason).EndSeason(endSeason).Fields(fields).Execute()

View historical records for a list of teams

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	teamIds := TODO // interface{} | Comma delimited list of Unique Team identifiers (optional)
	startSeason := TODO // interface{} | Start date for range of data (used with end date optionally). Example: '2018' or '2018.2' (optional)
	endSeason := TODO // interface{} | End date for range of data (used with start date optionally). Format: '2018' or '2018.2' (optional)
	fields := TODO // interface{} |  (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.AllTeams1(context.Background(), teamId).TeamIds(teamIds).StartSeason(startSeason).EndSeason(endSeason).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.AllTeams1``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 

### Other Parameters

Other parameters are passed through a pointer to a apiAllTeams1Request struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **teamIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique Team identifiers | 
 **startSeason** | [**interface{}**](interface{}.md) | Start date for range of data (used with end date optionally). Example: &#39;2018&#39; or &#39;2018.2&#39; | 
 **endSeason** | [**interface{}**](interface{}.md) | End date for range of data (used with start date optionally). Format: &#39;2018&#39; or &#39;2018.2&#39; | 
 **fields** | [**interface{}**](interface{}.md) |  | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Alumni

> Alumni(ctx, teamId).Season(season).Group(group).Fields(fields).Execute()

View all team alumni

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	season := TODO // interface{} | Season of play
	group := TODO // interface{} | Category of statistic to return. Available types in /api/v1/statGroups (optional)
	fields := TODO // interface{} |  (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Alumni(context.Background(), teamId).Season(season).Group(group).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Alumni``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 

### Other Parameters

Other parameters are passed through a pointer to a apiAlumniRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **group** | [**interface{}**](interface{}.md) | Category of statistic to return. Available types in /api/v1/statGroups | 
 **fields** | [**interface{}**](interface{}.md) |  | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Coaches

> Coaches(ctx, teamId).Season(season).Date(date).Fields(fields).Execute()

View all coaches for a team

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	season := TODO // interface{} | Season of play (optional)
	date := TODO // interface{} | Date of Game. Format: YYYY-MM-DD (optional)
	fields := TODO // interface{} |  (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Coaches(context.Background(), teamId).Season(season).Date(date).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Coaches``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 

### Other Parameters

Other parameters are passed through a pointer to a apiCoachesRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **date** | [**interface{}**](interface{}.md) | Date of Game. Format: YYYY-MM-DD | 
 **fields** | [**interface{}**](interface{}.md) |  | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Leaders

> Leaders(ctx, teamId).LeaderCategories(leaderCategories).Season(season).LeaderGameTypes(leaderGameTypes).Expand(expand).Limit(limit).Offset(offset).PlayerPool(playerPool).Fields(fields).Execute()

View team stat leaders

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | 
	leaderCategories := TODO // interface{} |  (optional)
	season := TODO // interface{} |  (optional)
	leaderGameTypes := TODO // interface{} |  (optional)
	expand := TODO // interface{} |  (optional)
	limit := TODO // interface{} |  (optional)
	offset := TODO // interface{} |  (optional)
	playerPool := TODO // interface{} |  (optional)
	fields := TODO // interface{} |  (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Leaders(context.Background(), teamId).LeaderCategories(leaderCategories).Season(season).LeaderGameTypes(leaderGameTypes).Expand(expand).Limit(limit).Offset(offset).PlayerPool(playerPool).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Leaders``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) |  | 

### Other Parameters

Other parameters are passed through a pointer to a apiLeadersRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **leaderCategories** | [**interface{}**](interface{}.md) |  | 
 **season** | [**interface{}**](interface{}.md) |  | 
 **leaderGameTypes** | [**interface{}**](interface{}.md) |  | 
 **expand** | [**interface{}**](interface{}.md) |  | 
 **limit** | [**interface{}**](interface{}.md) |  | 
 **offset** | [**interface{}**](interface{}.md) |  | 
 **playerPool** | [**interface{}**](interface{}.md) |  | 
 **fields** | [**interface{}**](interface{}.md) |  | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Leaders1

> Leaders1(ctx).LeaderCategories(leaderCategories).GameTypes(gameTypes).Stats(stats).StatType(statType).SportId(sportId).SportIds(sportIds).LeagueId(leagueId).LeagueIds(leagueIds).Season(season).StatGroup(statGroup).Group(group).StartDate(startDate).EndDate(endDate).DaysBack(daysBack).SitCodes(sitCodes).OpposingTeamId(opposingTeamId).Limit(limit).Offset(offset).Fields(fields).Execute()

View leaders for team stats

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	leaderCategories := TODO // interface{} | TBD (optional)
	gameTypes := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	stats := TODO // interface{} | Type of statistics. Format: Individual, Team, Career, etc. Available types in /api/v1/statTypes (optional)
	statType := TODO // interface{} |  (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	sportIds := TODO // interface{} | Comma delimited list of top level organizations of a sport (optional)
	leagueId := TODO // interface{} | Unique League Identifier (optional)
	leagueIds := TODO // interface{} | Comma delimited list of Unique league identifiers (optional)
	season := TODO // interface{} | Season of play (optional)
	statGroup := TODO // interface{} | Category of statistic to return. Available types in /api/v1/statGroups (optional)
	group := TODO // interface{} | Category of statistic to return. Available types in /api/v1/statGroups (optional)
	startDate := TODO // interface{} | Start date for range of data (must be used with end date). Format: MM/DD/YYYY (optional)
	endDate := TODO // interface{} | End date for range of data (must be used with start date). Format: MM/DD/YYYY (optional)
	daysBack := TODO // interface{} | Returns results from the last 'X' days (Starting from yesterday). (optional)
	sitCodes := TODO // interface{} | Situation code for a given stat split. (optional)
	opposingTeamId := TODO // interface{} | A unique identifier for the opposing team. Must be used with Team ID (optional)
	limit := TODO // interface{} | Number of results to return (optional)
	offset := TODO // interface{} | The pointer to start for a return set; used for pagination (optional)
	fields := TODO // interface{} |  (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Leaders1(context.Background()).LeaderCategories(leaderCategories).GameTypes(gameTypes).Stats(stats).StatType(statType).SportId(sportId).SportIds(sportIds).LeagueId(leagueId).LeagueIds(leagueIds).Season(season).StatGroup(statGroup).Group(group).StartDate(startDate).EndDate(endDate).DaysBack(daysBack).SitCodes(sitCodes).OpposingTeamId(opposingTeamId).Limit(limit).Offset(offset).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Leaders1``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiLeaders1Request struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **leaderCategories** | [**interface{}**](interface{}.md) | TBD | 
 **gameTypes** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **stats** | [**interface{}**](interface{}.md) | Type of statistics. Format: Individual, Team, Career, etc. Available types in /api/v1/statTypes | 
 **statType** | [**interface{}**](interface{}.md) |  | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **sportIds** | [**interface{}**](interface{}.md) | Comma delimited list of top level organizations of a sport | 
 **leagueId** | [**interface{}**](interface{}.md) | Unique League Identifier | 
 **leagueIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique league identifiers | 
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **statGroup** | [**interface{}**](interface{}.md) | Category of statistic to return. Available types in /api/v1/statGroups | 
 **group** | [**interface{}**](interface{}.md) | Category of statistic to return. Available types in /api/v1/statGroups | 
 **startDate** | [**interface{}**](interface{}.md) | Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | [**interface{}**](interface{}.md) | End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **daysBack** | [**interface{}**](interface{}.md) | Returns results from the last &#39;X&#39; days (Starting from yesterday). | 
 **sitCodes** | [**interface{}**](interface{}.md) | Situation code for a given stat split. | 
 **opposingTeamId** | [**interface{}**](interface{}.md) | A unique identifier for the opposing team. Must be used with Team ID | 
 **limit** | [**interface{}**](interface{}.md) | Number of results to return | 
 **offset** | [**interface{}**](interface{}.md) | The pointer to start for a return set; used for pagination | 
 **fields** | [**interface{}**](interface{}.md) |  | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Personnel

> Personnel(ctx, teamId).Season(season).Date(date).Fields(fields).Execute()

View all coaches for a team

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	season := TODO // interface{} | Season of play (optional)
	date := TODO // interface{} | Date of Game. Format: YYYY-MM-DD (optional)
	fields := TODO // interface{} |  (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Personnel(context.Background(), teamId).Season(season).Date(date).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Personnel``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 

### Other Parameters

Other parameters are passed through a pointer to a apiPersonnelRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **date** | [**interface{}**](interface{}.md) | Date of Game. Format: YYYY-MM-DD | 
 **fields** | [**interface{}**](interface{}.md) |  | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Roster

> Roster(ctx, teamId, rosterType).Season(season).Date(date).GameType(gameType).Fields(fields).Execute()

View a teams roster



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	rosterType := TODO // interface{} | Type of roster. Available types in /api/v1/rosterTypes
	season := TODO // interface{} | Season of play (optional)
	date := TODO // interface{} | Date of Game. Format: YYYY-MM-DD (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Roster(context.Background(), teamId, rosterType).Season(season).Date(date).GameType(gameType).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Roster``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 
**rosterType** | [**interface{}**](.md) | Type of roster. Available types in /api/v1/rosterTypes | 

### Other Parameters

Other parameters are passed through a pointer to a apiRosterRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **date** | [**interface{}**](interface{}.md) | Date of Game. Format: YYYY-MM-DD | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Roster1

> Roster1(ctx, teamId, rosterType).Season(season).Date(date).GameType(gameType).Fields(fields).Execute()

View a teams roster



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	rosterType := TODO // interface{} | Type of roster. Available types in /api/v1/rosterTypes
	season := TODO // interface{} | Season of play (optional)
	date := TODO // interface{} | Date of Game. Format: YYYY-MM-DD (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Roster1(context.Background(), teamId, rosterType).Season(season).Date(date).GameType(gameType).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Roster1``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 
**rosterType** | [**interface{}**](.md) | Type of roster. Available types in /api/v1/rosterTypes | 

### Other Parameters

Other parameters are passed through a pointer to a apiRoster1Request struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------


 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **date** | [**interface{}**](interface{}.md) | Date of Game. Format: YYYY-MM-DD | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Stats

> Stats(ctx, teamId).Group(group).SportId(sportId).Season(season).GameType(gameType).Stats(stats).SortStat(sortStat).Order(order).GroupBy(groupBy).OpposingTeamId(opposingTeamId).OpposingPlayerId(opposingPlayerId).SitCodes(sitCodes).StartDate(startDate).EndDate(endDate).Fields(fields).Execute()

View a teams stats

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	group := TODO // interface{} | Category of statistic to return. Available types in /api/v1/statGroups
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	season := TODO // interface{} | Season of play (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	stats := TODO // interface{} | Type of statistics. Format: Individual, Team, Career, etc. Available types in /api/v1/statTypes (optional)
	sortStat := TODO // interface{} | Baseball stat to sort splits by. (optional)
	order := TODO // interface{} | The order of sorting, ascending or descending (optional)
	groupBy := TODO // interface{} | Group stats by PLAYER, TEAM, SEASON, VENUE, SPORT or STAT_GROUP (optional)
	opposingTeamId := TODO // interface{} | A unique identifier for the opposing team. Must be used with Team ID (optional)
	opposingPlayerId := TODO // interface{} | A unique identifier for the opposing team (optional)
	sitCodes := TODO // interface{} | Situation code for a given stat split. (optional)
	startDate := TODO // interface{} | Start date for range of data (must be used with end date). Format: MM/DD/YYYY (optional)
	endDate := TODO // interface{} | End date for range of data (must be used with start date). Format: MM/DD/YYYY (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Stats(context.Background(), teamId).Group(group).SportId(sportId).Season(season).GameType(gameType).Stats(stats).SortStat(sortStat).Order(order).GroupBy(groupBy).OpposingTeamId(opposingTeamId).OpposingPlayerId(opposingPlayerId).SitCodes(sitCodes).StartDate(startDate).EndDate(endDate).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Stats``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 

### Other Parameters

Other parameters are passed through a pointer to a apiStatsRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **group** | [**interface{}**](interface{}.md) | Category of statistic to return. Available types in /api/v1/statGroups | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **stats** | [**interface{}**](interface{}.md) | Type of statistics. Format: Individual, Team, Career, etc. Available types in /api/v1/statTypes | 
 **sortStat** | [**interface{}**](interface{}.md) | Baseball stat to sort splits by. | 
 **order** | [**interface{}**](interface{}.md) | The order of sorting, ascending or descending | 
 **groupBy** | [**interface{}**](interface{}.md) | Group stats by PLAYER, TEAM, SEASON, VENUE, SPORT or STAT_GROUP | 
 **opposingTeamId** | [**interface{}**](interface{}.md) | A unique identifier for the opposing team. Must be used with Team ID | 
 **opposingPlayerId** | [**interface{}**](interface{}.md) | A unique identifier for the opposing team | 
 **sitCodes** | [**interface{}**](interface{}.md) | Situation code for a given stat split. | 
 **startDate** | [**interface{}**](interface{}.md) | Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | [**interface{}**](interface{}.md) | End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Stats1

> Stats1(ctx).Group(group).GameType(gameType).Stats(stats).SportId(sportId).SportIds(sportIds).LeagueIds(leagueIds).Season(season).SortStat(sortStat).Order(order).StartDate(startDate).EndDate(endDate).DaysBack(daysBack).SitCodes(sitCodes).CombineSits(combineSits).OpposingTeamId(opposingTeamId).Offset(offset).Limit(limit).Fields(fields).Execute()

View a teams stats

### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	group := TODO // interface{} | Category of statistic to return. Available types in /api/v1/statGroups
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	stats := TODO // interface{} | Type of statistics. Format: Individual, Team, Career, etc. Available types in /api/v1/statTypes (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	sportIds := TODO // interface{} | Comma delimited list of top level organizations of a sport (optional)
	leagueIds := TODO // interface{} | Comma delimited list of Unique league identifiers (optional)
	season := TODO // interface{} | Season of play (optional)
	sortStat := TODO // interface{} | Baseball stat to sort splits by. (optional)
	order := TODO // interface{} | The order of sorting, ascending or descending (optional)
	startDate := TODO // interface{} | Start date for range of data (must be used with end date). Format: MM/DD/YYYY (optional)
	endDate := TODO // interface{} | End date for range of data (must be used with start date). Format: MM/DD/YYYY (optional)
	daysBack := TODO // interface{} | Returns results from the last 'X' days (Starting from yesterday). (optional)
	sitCodes := TODO // interface{} | Situation code for a given stat split. (optional)
	combineSits := TODO // interface{} | If true, gathers stats where all of the situational criteria are met. If false, returns stats where any of the situational criteria are met. Default: false (optional)
	opposingTeamId := TODO // interface{} | A unique identifier for the opposing team. Must be used with Team ID (optional)
	offset := TODO // interface{} | The pointer to start for a return set; used for pagination (optional)
	limit := TODO // interface{} | Number of results to return (optional)
	fields := TODO // interface{} |  (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Stats1(context.Background()).Group(group).GameType(gameType).Stats(stats).SportId(sportId).SportIds(sportIds).LeagueIds(leagueIds).Season(season).SortStat(sortStat).Order(order).StartDate(startDate).EndDate(endDate).DaysBack(daysBack).SitCodes(sitCodes).CombineSits(combineSits).OpposingTeamId(opposingTeamId).Offset(offset).Limit(limit).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Stats1``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiStats1Request struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **group** | [**interface{}**](interface{}.md) | Category of statistic to return. Available types in /api/v1/statGroups | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **stats** | [**interface{}**](interface{}.md) | Type of statistics. Format: Individual, Team, Career, etc. Available types in /api/v1/statTypes | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **sportIds** | [**interface{}**](interface{}.md) | Comma delimited list of top level organizations of a sport | 
 **leagueIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique league identifiers | 
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **sortStat** | [**interface{}**](interface{}.md) | Baseball stat to sort splits by. | 
 **order** | [**interface{}**](interface{}.md) | The order of sorting, ascending or descending | 
 **startDate** | [**interface{}**](interface{}.md) | Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | [**interface{}**](interface{}.md) | End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **daysBack** | [**interface{}**](interface{}.md) | Returns results from the last &#39;X&#39; days (Starting from yesterday). | 
 **sitCodes** | [**interface{}**](interface{}.md) | Situation code for a given stat split. | 
 **combineSits** | [**interface{}**](interface{}.md) | If true, gathers stats where all of the situational criteria are met. If false, returns stats where any of the situational criteria are met. Default: false | 
 **opposingTeamId** | [**interface{}**](interface{}.md) | A unique identifier for the opposing team. Must be used with Team ID | 
 **offset** | [**interface{}**](interface{}.md) | The pointer to start for a return set; used for pagination | 
 **limit** | [**interface{}**](interface{}.md) | Number of results to return | 
 **fields** | [**interface{}**](interface{}.md) |  | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Teams

> Teams(ctx, teamId).Season(season).SportId(sportId).DivisionId(divisionId).GameType(gameType).LeagueIds(leagueIds).SportIds(sportIds).ActiveStatus(activeStatus).LeagueListId(leagueListId).AllStarStatuses(allStarStatuses).Fields(fields).Execute()

View info for all teams



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	season := TODO // interface{} | Season of play (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	divisionId := TODO // interface{} | Unique Division Identifier (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	leagueIds := TODO // interface{} | Comma delimited list of Unique league identifiers (optional)
	sportIds := TODO // interface{} | Comma delimited list of top level organizations of a sport (optional)
	activeStatus := TODO // interface{} | Flag for fetching teams that are currently active (Y), inactive (N), pending (P), or all teams (B) (optional)
	leagueListId := TODO // interface{} | Unique League List Identifier (optional)
	allStarStatuses := TODO // interface{} |  (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Teams(context.Background(), teamId).Season(season).SportId(sportId).DivisionId(divisionId).GameType(gameType).LeagueIds(leagueIds).SportIds(sportIds).ActiveStatus(activeStatus).LeagueListId(leagueListId).AllStarStatuses(allStarStatuses).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Teams``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 

### Other Parameters

Other parameters are passed through a pointer to a apiTeamsRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **divisionId** | [**interface{}**](interface{}.md) | Unique Division Identifier | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **leagueIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique league identifiers | 
 **sportIds** | [**interface{}**](interface{}.md) | Comma delimited list of top level organizations of a sport | 
 **activeStatus** | [**interface{}**](interface{}.md) | Flag for fetching teams that are currently active (Y), inactive (N), pending (P), or all teams (B) | 
 **leagueListId** | [**interface{}**](interface{}.md) | Unique League List Identifier | 
 **allStarStatuses** | [**interface{}**](interface{}.md) |  | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Teams1

> Teams1(ctx, teamId).Season(season).SportId(sportId).DivisionId(divisionId).GameType(gameType).LeagueIds(leagueIds).SportIds(sportIds).ActiveStatus(activeStatus).LeagueListId(leagueListId).AllStarStatuses(allStarStatuses).Fields(fields).Execute()

View info for all teams



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	season := TODO // interface{} | Season of play (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	divisionId := TODO // interface{} | Unique Division Identifier (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	leagueIds := TODO // interface{} | Comma delimited list of Unique league identifiers (optional)
	sportIds := TODO // interface{} | Comma delimited list of top level organizations of a sport (optional)
	activeStatus := TODO // interface{} | Flag for fetching teams that are currently active (Y), inactive (N), pending (P), or all teams (B) (optional)
	leagueListId := TODO // interface{} | Unique League List Identifier (optional)
	allStarStatuses := TODO // interface{} |  (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.Teams1(context.Background(), teamId).Season(season).SportId(sportId).DivisionId(divisionId).GameType(gameType).LeagueIds(leagueIds).SportIds(sportIds).ActiveStatus(activeStatus).LeagueListId(leagueListId).AllStarStatuses(allStarStatuses).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.Teams1``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 

### Other Parameters

Other parameters are passed through a pointer to a apiTeams1Request struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **divisionId** | [**interface{}**](interface{}.md) | Unique Division Identifier | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **leagueIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique league identifiers | 
 **sportIds** | [**interface{}**](interface{}.md) | Comma delimited list of top level organizations of a sport | 
 **activeStatus** | [**interface{}**](interface{}.md) | Flag for fetching teams that are currently active (Y), inactive (N), pending (P), or all teams (B) | 
 **leagueListId** | [**interface{}**](interface{}.md) | Unique League List Identifier | 
 **allStarStatuses** | [**interface{}**](interface{}.md) |  | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## UpdateAlumni

> UpdateAlumni(ctx, teamId).Season(season).Group(group).Fields(fields).Execute()



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	teamId := TODO // interface{} | Unique Team Identifier. Format: 141, 147, etc
	season := TODO // interface{} | Season of play
	group := TODO // interface{} | Category of statistic to return. Available types in /api/v1/statGroups (optional)
	fields := TODO // interface{} |  (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TeamsAPI.UpdateAlumni(context.Background(), teamId).Season(season).Group(group).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TeamsAPI.UpdateAlumni``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**teamId** | [**interface{}**](.md) | Unique Team Identifier. Format: 141, 147, etc | 

### Other Parameters

Other parameters are passed through a pointer to a apiUpdateAlumniRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **group** | [**interface{}**](interface{}.md) | Category of statistic to return. Available types in /api/v1/statGroups | 
 **fields** | [**interface{}**](interface{}.md) |  | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

