# \TransactionsAPI

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**Transactions**](TransactionsAPI.md#Transactions) | **Get** /api/v1/transactions | View transaction info



## Transactions

> Transactions(ctx).LeagueId(leagueId).SportId(sportId).TeamId(teamId).PlayerId(playerId).Date(date).StartDate(startDate).EndDate(endDate).TransactionIds(transactionIds).TransactionTypes(transactionTypes).DivisionIds(divisionIds).Order(order).Limit(limit).Fields(fields).Execute()

View transaction info



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	leagueId := TODO // interface{} | Comma delimited list of Unique league identifiers (optional)
	sportId := TODO // interface{} | Comma delimited list of top level organizations of a sport (optional)
	teamId := TODO // interface{} | Comma delimited list of Unique Team identifiers (optional)
	playerId := TODO // interface{} | A unique identifier for a player (optional)
	date := TODO // interface{} | Date of Game. Format: YYYY-MM-DD (optional)
	startDate := TODO // interface{} | Start date for range of data (must be used with end date). Format: MM/DD/YYYY (optional)
	endDate := TODO // interface{} | End date for range of data (must be used with start date). Format: MM/DD/YYYY (optional)
	transactionIds := TODO // interface{} |  (optional)
	transactionTypes := TODO // interface{} |  (optional)
	divisionIds := TODO // interface{} |  (optional)
	order := TODO // interface{} |  (optional)
	limit := TODO // interface{} |  (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.TransactionsAPI.Transactions(context.Background()).LeagueId(leagueId).SportId(sportId).TeamId(teamId).PlayerId(playerId).Date(date).StartDate(startDate).EndDate(endDate).TransactionIds(transactionIds).TransactionTypes(transactionTypes).DivisionIds(divisionIds).Order(order).Limit(limit).Fields(fields).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `TransactionsAPI.Transactions``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters



### Other Parameters

Other parameters are passed through a pointer to a apiTransactionsRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **leagueId** | [**interface{}**](interface{}.md) | Comma delimited list of Unique league identifiers | 
 **sportId** | [**interface{}**](interface{}.md) | Comma delimited list of top level organizations of a sport | 
 **teamId** | [**interface{}**](interface{}.md) | Comma delimited list of Unique Team identifiers | 
 **playerId** | [**interface{}**](interface{}.md) | A unique identifier for a player | 
 **date** | [**interface{}**](interface{}.md) | Date of Game. Format: YYYY-MM-DD | 
 **startDate** | [**interface{}**](interface{}.md) | Start date for range of data (must be used with end date). Format: MM/DD/YYYY | 
 **endDate** | [**interface{}**](interface{}.md) | End date for range of data (must be used with start date). Format: MM/DD/YYYY | 
 **transactionIds** | [**interface{}**](interface{}.md) |  | 
 **transactionTypes** | [**interface{}**](interface{}.md) |  | 
 **divisionIds** | [**interface{}**](interface{}.md) |  | 
 **order** | [**interface{}**](interface{}.md) |  | 
 **limit** | [**interface{}**](interface{}.md) |  | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

