# \VenuesAPI

All URIs are relative to *http://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**Venues**](VenuesAPI.md#Venues) | **Get** /api/v1/venues | View venue info
[**Venues1**](VenuesAPI.md#Venues1) | **Get** /api/v1/venues/{venueId} | View venue info



## Venues

> Venues(ctx, venueId).VenueIds(venueIds).LeagueId(leagueId).LeagueIds(leagueIds).GameType(gameType).GameTypes(gameTypes).Season(season).Seasons(seasons).Fields(fields).Active(active).IncludeEvents(includeEvents).SportId(sportId).SportIds(sportIds).Execute()

View venue info



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	venueId := TODO // interface{} | Unique Venue Identifier
	venueIds := TODO // interface{} | Comma delimited list of Unique venue identifiers (optional)
	leagueId := TODO // interface{} | Unique League Identifier (optional)
	leagueIds := TODO // interface{} | Comma delimited list of Unique league identifiers (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	gameTypes := TODO // interface{} | Comma delimited list of type of Game. Available types in /api/v1/gameTypes (optional)
	season := TODO // interface{} | Season of play (optional)
	seasons := TODO // interface{} | Comma delimited list of Seasons of play (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)
	active := TODO // interface{} | Whether or not a player is active (optional)
	includeEvents := TODO // interface{} |  (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	sportIds := TODO // interface{} | Comma delimited list of top level organizations of a sport (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.VenuesAPI.Venues(context.Background(), venueId).VenueIds(venueIds).LeagueId(leagueId).LeagueIds(leagueIds).GameType(gameType).GameTypes(gameTypes).Season(season).Seasons(seasons).Fields(fields).Active(active).IncludeEvents(includeEvents).SportId(sportId).SportIds(sportIds).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `VenuesAPI.Venues``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**venueId** | [**interface{}**](.md) | Unique Venue Identifier | 

### Other Parameters

Other parameters are passed through a pointer to a apiVenuesRequest struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **venueIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique venue identifiers | 
 **leagueId** | [**interface{}**](interface{}.md) | Unique League Identifier | 
 **leagueIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique league identifiers | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **gameTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of Game. Available types in /api/v1/gameTypes | 
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **seasons** | [**interface{}**](interface{}.md) | Comma delimited list of Seasons of play | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 
 **active** | [**interface{}**](interface{}.md) | Whether or not a player is active | 
 **includeEvents** | [**interface{}**](interface{}.md) |  | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **sportIds** | [**interface{}**](interface{}.md) | Comma delimited list of top level organizations of a sport | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)


## Venues1

> Venues1(ctx, venueId).VenueIds(venueIds).LeagueId(leagueId).LeagueIds(leagueIds).GameType(gameType).GameTypes(gameTypes).Season(season).Seasons(seasons).Fields(fields).Active(active).IncludeEvents(includeEvents).SportId(sportId).SportIds(sportIds).Execute()

View venue info



### Example

```go
package main

import (
	"context"
	"fmt"
	"os"
	openapiclient "//"
)

func main() {
	venueId := TODO // interface{} | Unique Venue Identifier
	venueIds := TODO // interface{} | Comma delimited list of Unique venue identifiers (optional)
	leagueId := TODO // interface{} | Unique League Identifier (optional)
	leagueIds := TODO // interface{} | Comma delimited list of Unique league identifiers (optional)
	gameType := TODO // interface{} | Type of Game. Available types in /api/v1/gameTypes (optional)
	gameTypes := TODO // interface{} | Comma delimited list of type of Game. Available types in /api/v1/gameTypes (optional)
	season := TODO // interface{} | Season of play (optional)
	seasons := TODO // interface{} | Comma delimited list of Seasons of play (optional)
	fields := TODO // interface{} | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute (optional)
	active := TODO // interface{} | Whether or not a player is active (optional)
	includeEvents := TODO // interface{} |  (optional)
	sportId := TODO // interface{} | Top level organization of a sport (optional)
	sportIds := TODO // interface{} | Comma delimited list of top level organizations of a sport (optional)

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)
	r, err := apiClient.VenuesAPI.Venues1(context.Background(), venueId).VenueIds(venueIds).LeagueId(leagueId).LeagueIds(leagueIds).GameType(gameType).GameTypes(gameTypes).Season(season).Seasons(seasons).Fields(fields).Active(active).IncludeEvents(includeEvents).SportId(sportId).SportIds(sportIds).Execute()
	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `VenuesAPI.Venues1``: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}
}
```

### Path Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
**ctx** | **context.Context** | context for authentication, logging, cancellation, deadlines, tracing, etc.
**venueId** | [**interface{}**](.md) | Unique Venue Identifier | 

### Other Parameters

Other parameters are passed through a pointer to a apiVenues1Request struct via the builder pattern


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------

 **venueIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique venue identifiers | 
 **leagueId** | [**interface{}**](interface{}.md) | Unique League Identifier | 
 **leagueIds** | [**interface{}**](interface{}.md) | Comma delimited list of Unique league identifiers | 
 **gameType** | [**interface{}**](interface{}.md) | Type of Game. Available types in /api/v1/gameTypes | 
 **gameTypes** | [**interface{}**](interface{}.md) | Comma delimited list of type of Game. Available types in /api/v1/gameTypes | 
 **season** | [**interface{}**](interface{}.md) | Season of play | 
 **seasons** | [**interface{}**](interface{}.md) | Comma delimited list of Seasons of play | 
 **fields** | [**interface{}**](interface{}.md) | Comma delimited list of specific fields to be returned. Format: topLevelNode, childNode, attribute | 
 **active** | [**interface{}**](interface{}.md) | Whether or not a player is active | 
 **includeEvents** | [**interface{}**](interface{}.md) |  | 
 **sportId** | [**interface{}**](interface{}.md) | Top level organization of a sport | 
 **sportIds** | [**interface{}**](interface{}.md) | Comma delimited list of top level organizations of a sport | 

### Return type

 (empty response body)

### Authorization

No authorization required

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints)
[[Back to Model list]](../README.md#documentation-for-models)
[[Back to README]](../README.md)

