/*
Copyright © 2025 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <http://www.gnu.org/licenses/>.
*/
/*
Stats API Documentation

Testing GameAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package api

import (
	openapiclient "//"
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
)

func Test_api_GameAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test GameAPIService Boxscore", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.Boxscore(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService ColorFeed", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.ColorFeed(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService ColorTimestamps", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.ColorTimestamps(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService Content", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.Content(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService CurrentGameStats1", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		httpRes, err := apiClient.GameAPI.CurrentGameStats1(context.Background()).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService GetGameContextMetrics", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.GetGameContextMetrics(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService GetGameWithMetrics", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.GetGameWithMetrics(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService GetWinProbability", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.GetWinProbability(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService Linescore", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.Linescore(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService LiveGameDiffPatchV1", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.LiveGameDiffPatchV1(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService LiveGameV1", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.LiveGameV1(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService LiveTimestampv11", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.LiveTimestampv11(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test GameAPIService PlayByPlay", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var gamePk interface{}

		httpRes, err := apiClient.GameAPI.PlayByPlay(context.Background(), gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
