/*
Copyright © 2025 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <http://www.gnu.org/licenses/>.
*/
/*
Stats API Documentation

Testing PersonAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package api

import (
	openapiclient "//"
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
)

func Test_api_PersonAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test PersonAPIService Award", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var personId interface{}

		httpRes, err := apiClient.PersonAPI.Award(context.Background(), personId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test PersonAPIService CurrentGameStats", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		httpRes, err := apiClient.PersonAPI.CurrentGameStats(context.Background()).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test PersonAPIService FreeAgents", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		httpRes, err := apiClient.PersonAPI.FreeAgents(context.Background()).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test PersonAPIService Person", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var personId interface{}

		httpRes, err := apiClient.PersonAPI.Person(context.Background(), personId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test PersonAPIService Person1", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var personId interface{}

		httpRes, err := apiClient.PersonAPI.Person1(context.Background(), personId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test PersonAPIService PlayerGameStats", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var personId interface{}
		var gamePk interface{}

		httpRes, err := apiClient.PersonAPI.PlayerGameStats(context.Background(), personId, gamePk).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test PersonAPIService Search", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		httpRes, err := apiClient.PersonAPI.Search(context.Background()).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test PersonAPIService Stats3", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var personId interface{}

		httpRes, err := apiClient.PersonAPI.Stats3(context.Background(), personId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test PersonAPIService StatsMetrics", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var personId interface{}

		httpRes, err := apiClient.PersonAPI.StatsMetrics(context.Background(), personId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
