/*
Copyright © 2025 filifa

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <http://www.gnu.org/licenses/>.
*/
/*
Stats API Documentation

Testing TeamsAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package api

import (
	openapiclient "//"
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
)

func Test_api_TeamsAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test TeamsAPIService Affiliates", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.Affiliates(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Affiliates1", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.Affiliates1(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService AllTeams", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.AllTeams(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService AllTeams1", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.AllTeams1(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Alumni", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.Alumni(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Coaches", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.Coaches(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Leaders", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.Leaders(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Leaders1", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		httpRes, err := apiClient.TeamsAPI.Leaders1(context.Background()).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Personnel", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.Personnel(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Roster", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}
		var rosterType interface{}

		httpRes, err := apiClient.TeamsAPI.Roster(context.Background(), teamId, rosterType).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Roster1", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}
		var rosterType interface{}

		httpRes, err := apiClient.TeamsAPI.Roster1(context.Background(), teamId, rosterType).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Stats", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.Stats(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Stats1", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		httpRes, err := apiClient.TeamsAPI.Stats1(context.Background()).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Teams", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.Teams(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService Teams1", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.Teams1(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test TeamsAPIService UpdateAlumni", func(t *testing.T) {

		t.Skip("skip test") // remove to run test

		var teamId interface{}

		httpRes, err := apiClient.TeamsAPI.UpdateAlumni(context.Background(), teamId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
